Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000884Core InformActivitiespublic2012-03-18 16:072014-05-07 07:34
ReporterNYKevin 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000884: A while clause that specifies the basis of an activity compiles only for some kinds of bases
DescriptionIf a rule has a while condition which refers to an activity with a non-thing kind attached (e.g. "while considering a scene"), the rule will fail to compile, even though "considering a scene" seems like a perfectly good activity condition.

This does not happen if the basis is of kind thing. While it might be debatable whether the example is valid, surely either both examples are valid or neither is (in which case this bug should be a "compiler accepts invalid code" bug instead).
Minimal Source Text To Reproduce
There is a room.
Considering something is an activity on scenes.
After printing the name of something while considering the entire game:
	do nothing.
Additional InformationSee also http://www.intfiction.org/forum/viewtopic.php?f=7&t=4667 [^]

This code WILL compile:

There is a room.
Considering something is an activity on things.
After printing the name of something while considering yourself:
    do nothing.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships
related to 0000885closedgraham While <activity> a thing (called X) doesn't assign to X 

-  Notes
(0002296)
graham (administrator)
2014-01-15 11:05

I think this must be a duplicate; it now works fine, anyway.

- Issue History
Date Modified Username Field Change
2012-03-18 16:07 NYKevin New Issue
2012-03-18 16:26 EmacsUser Relationship added related to 0000885
2012-03-18 16:46 EmacsUser Status new => confirmed
2012-03-18 16:46 EmacsUser Category Kinds and type checking => Activities
2012-03-18 16:46 EmacsUser Summary Applying a while clause to an activity on non-things uses bogus type-checking => A while clause that specifies the basis of an activity compiles only for some kinds of bases
2012-03-18 16:46 EmacsUser Description Updated View Revisions
2012-03-18 16:46 EmacsUser Steps to Reproduce Updated View Revisions
2012-03-18 16:46 EmacsUser Additional Information Updated View Revisions
2014-01-15 11:05 graham Note Added: 0002296
2014-01-15 11:05 graham Status confirmed => resolved
2014-01-15 11:05 graham Resolution open => fixed
2014-01-15 11:05 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker